@extends('layouts.app')
@php
    // Variáveis para marcar automaticamente as checkboxes
    $marcarBarema = false;
    $marcarCurriculo = false;

    // Verifica se algum campo de Barema contém "nome-b"
    foreach ($evento->camposAvaliacao ?? [] as $campo) {
        if (strpos($campo->nome, 'nome-b') !== false) {
            $marcarBarema = true;
            break;
        }
    }

    // Verifica se algum campo de Currículo contém "nome-c"
    foreach ($evento->camposAvaliacaoCurriculo ?? [] as $campo) {
        if (strpos($campo->nome, 'nome-c') !== false) {
            $marcarCurriculo = true;
            break;
        }
    }
@endphp
@section('content')
<div class="container">
    <div class="row titulo">
        <h1>Editar Edital</h1>
    </div>

    <!-- Panels -->
    <div id="tab-containers" class="tab-content">

        <div id="edital-container" class="tab-pane fade show active" role="tabpanel" aria-labelledby="edital-tab">

            <form action="{{route('evento.update', $evento->id)}}" method="POST" enctype="multipart/form-data">
                @csrf
                @method('PUT')
        
                <input type="hidden" name="tipoAvaliacao" value="campos">
        
                <div class="row subtitulo">
                    <div class="col-sm-12">
                        <p>Informações Gerais</p>
                    </div>
                </div>
        
                {{-- nome | Participantes | Tipo--}}
                <div class="row justify-content-start">
                    <div class="col-sm-12">
                        <label for="nome" class="col-form-label">{{ __('Nome:') }}<span style="color:red; font-weight:bold;">*</span></label>
                        <input id="nome" type="text" class="form-control @error('nome') is-invalid @enderror" name="nome" value="{{ old('nome', $evento->nome) }}" required autocomplete="nome" autofocus>
        
                        @error('nome')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>
        
                    <div class="col-sm-6">
                        <label for="tipo" class="col-form-label">{{ __('Tipo:') }}<span style="color:red; font-weight:bold;">*</span></label>
                        
                        <div id="tipo_container" style="display: flex; align-items: center;">
                            <select id="tipo" class="form-control @error('tipo') is-invalid @enderror" name="tipo" required style="flex: 1;">
                                <option @if(old('tipo', $evento->tipo) == "COMPONENTES_CURRICULARES") selected @endif value="COMPONENTES_CURRICULARES">APOIO À VIVÊNCIA DE COMPONENTES CURRICULARES</option>
                                <option @if(old('tipo', $evento->tipo) == "INOVACAO_PEDAGOGICA") selected @endif value="INOVACAO_PEDAGOGICA">INOVAÇÃO PEDAGÓGICA</option>
                                <option @if(old('tipo', $evento->tipo) == "PSICOSSOCIAL_PSICOPEDAGOGICO") selected @endif value="PSICOSSOCIAL_PSICOPEDAGOGICO">APOIO PSICOSSOCIAL OU PSICOPEDAGÓGICO</option>
                                <option @if(old('tipo', $evento->tipo) == "OUTRA") selected @endif value="OUTRA">OUTRA</option>
                            </select>
                    
                            <div id="outra_descricao_div" style="display: @if(old('tipo', $evento->tipo) == 'OUTRA') block @else none @endif; margin-left: 10px; flex: 1;">
                                <input id="outra_descricao" type="text" class="form-control @error('outra_descricao') is-invalid @enderror" name="outra_descricao" value="{{ old('outra_descricao', $evento->outra_descricao) }}" placeholder="Especifique">
                            </div>
                        </div>
                    
                        @error('tipo')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>
                    
                    <div class="col-sm-3">
                        <label for="natureza" class="col-form-label">{{ __('Natureza:') }}<span style="color:red; font-weight:bold;">*</span></label>
                        <select onchange="selecionar_decisao_camara()" id="natureza" type="text" class="form-control @error('natureza') is-invalid @enderror" name="natureza" value="{{ old('natureza', $evento->natureza) }}">
                            @foreach ($naturezas as $natureza)
                            <option @if(old('natureza', $evento->natureza) == $natureza->id) selected @endif value="{{ $natureza->id }}">{{ $natureza->nome }}</option>
                            @endforeach
                        </select>
        
                        @error('natureza')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>
                    <div class="col-sm-3">
                        <label for="numParticipantes" class="col-form-label">{{ __('Nº de Discentes:') }}</label>
                        <input id="numParticipantes" type="number" min="0" max="500" class="form-control @error('numParticipantes') is-invalid @enderror" name="numParticipantes" value="{{ old('numParticipantes', $evento->numParticipantes) }}" autocomplete="numParticipantes" autofocus>
        
                        @error('numParticipantes')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>
                </div>
                {{-- end nome | Participantes | Tipo--}}
        
                <div class="row justify-content-start mb-1 mt-2">
        
                    <div class="col-sm-3">
                        <label for="check_docExtra" class="col-form-label">{{ __('Documento extra?') }}</label>
                        <input type="checkbox" name="check_docExtra" id="check_docExtra" onclick="showDocumentoExtra()" style="margin-left: 5px" {{ old('check_docExtra', $evento->check_docExtra) ? 'checked' : ''}}>
                    </div>
        
                    <div class="col-sm-3">
                        <label for="cotaDoutor" class="col-form-label">{{ __('Cota para recém doutor: ') }}</label>
                        <input type="checkbox" name="cotaDoutor" id="cotaDoutor" style="margin-left: 5px" {{ old('cotaDoutor', $evento->cotaDoutor) ? 'checked' : ''}}>
        
                        @error('cotaDoutor')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>
                    
                    {{--Nome do Documento Extra--}}
        
                    <div class="col-sm-3" style="display: none">
                        <label for="obrigatoriedade_docExtra" class="col-form-label">{{ __('Obrigatoriedade: ') }}</label>
                        <input type="checkbox" name="obrigatoriedade_docExtra" id="obrigatoriedade_docExtra" style="margin-left: 5px" {{ old('obrigatoriedade_docExtra', $evento->obrigatoriedade_docExtra) ? 'checked' : ''}}>
                        @error('obrigatoriedade_docExtra')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>
        
                    <div class='col-md-3' style='display:none'>
                        <label for="nome_docExtra" class="col-form-label">{{ __('Digite o nome do Documento') }} <span style="color:red; font-weight:bold;">*</span></label>
                        <input id="nome_docExtra" type="text" class="form-control @error('nome_docExtra') is-invalid @enderror" name="nome_docExtra" value="{{ old('nome_docExtra', $evento->nome_docExtra) }}" placeholder="Nome do Documento" autocomplete="nome_docExtra" autofocus>
                        @error('nome_docExtra')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>
        
                </div>
        
                {{-- Descricao Edital --}}
                <div class="row justify-content-center">
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label for="exampleFormControlTextarea1">Descrição:<span style="color:red; font-weight:bold;">*</span></label>
                            <textarea class="form-control @error('descricao') is-invalid @enderror" required autocomplete="descricao" autofocus id="descricao" name="descricao" rows="6">{{ old('descricao', $evento->descricao) }}</textarea>
                            @error('descricao')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                    </div>
                </div>
                <div class="row justify-content-center">
                    <div class="col-sm-12">
                        <div class="row">
                            <div class="col-md-11">
                                <label for="coordenador_id" class="col-form-label">{{ __('Coordenador:') }}<span style="color:red; font-weight:bold;">*</span></label>
        
                            </div>
                            <div class="col-md-1 text-sm-right">
                                <a type="button" value="Selecionar" data-toggle="modal" data-target="#modalCoord">
                                    <img class="" src="{{asset('img/icons/add.ico')}}" style="width:30px" alt="">
                                </a>
                            </div>
                        </div>
        
                        <input id="coordenador_id" name="coordenador_id" class="form-control" value="{{old('coordenador_id', $evento->coordenador_id)}}" hidden>
        
                        <input style="margin-top: 5px" id="coordenador_name" name="coordenador_name" class="form-control @error('coordenador_id') is-invalid @enderror" 
                        value="{{ old('coordenador_name', $evento->coordenador && $evento->coordenador->user ? $evento->coordenador->user->name : '') }}" 
                        placeholder="Nenhum Coordenador atribuido" required readonly>

                        @error('coordenador_id')
                        <span class="invalid-feedback" role="alert">
                            <strong>{{ $message }}</strong>
                        </span>
                        @enderror
                    </div>
                </div>
                <!-- Modal Coordenador -->
                <div class="modal fade" id="modalCoord" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered modal-lg">
                        <div class="modal-content">
        
                            <div class="modal-header" style="overflow-x:auto">
                                <h5 class="modal-title" id="exampleModalLabel" style="color:#1492E6">Coordenadores</h5>
                                <button type="button" class="close" aria-label="Close" data-dismiss="modal" style="padding-top: 8px; color:#1492E6">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
        
                            <div class="modal-body">
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th scope="col">Nome</th>
                                            <th scope="col">Email</th>
                                            <th scope="col">Celular</th>
                                            <th scope="col">Instituição</th>
                                            <th scope="col">Seleção</th>
                                        </tr>
                                    </thead>
                                    <tbody id="projetos">
        
                                        @foreach($coordenadores as $coordenador)
                                        <tr>
                                            <td>{{$coordenador->user->name}}</td>
                                            <td>{{$coordenador->user->email}}</td>
                                            @if($coordenador->user->celular != null)
                                            <td>{{$coordenador->user->celular}}</td>
                                            @else
                                            <td>Não Definido</td>
                                            @endif
                                            @if($coordenador->user->instituicao != null)
                                            <td>{{$coordenador->user->instituicao}}</td>
                                            @else
                                            <td>Não Definida</td>
                                            @endif
                                            <td style="text-align-last:center"><input type="button" class="btn-primary btn" value="Definir" onclick="defCoord({{$coordenador->id}},'{{$coordenador->user->name}}')" style="width: 100px"></td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

                {{-- Data de Início e Fim da Submissão --}}
<div class="row justify-content-start mb-1 mt-2">
    <div class="col-sm-6">
        <label for="inicioSubmissao" class="col-form-label">{{ __('Início da Submissão:') }}<span style="color:red; font-weight:bold;">*</span></label>
        <input id="inicioSubmissao" type="date" class="form-control @error('inicioSubmissao') is-invalid @enderror" name="inicioSubmissao" value="{{ old('inicioSubmissao', $evento->inicioSubmissao) }}" required autocomplete="inicioSubmissao">
        @error('inicioSubmissao')
        <span class="invalid-feedback" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>

    <div class="col-sm-6">
        <label for="fimSubmissao" class="col-form-label">{{ __('Fim da Submissão:') }}<span style="color:red; font-weight:bold;">*</span></label>
        <input id="fimSubmissao" type="date" class="form-control @error('fimSubmissao') is-invalid @enderror" name="fimSubmissao" value="{{ old('fimSubmissao', $evento->fimSubmissao) }}" required autocomplete="fimSubmissao">
        @error('fimSubmissao')
        <span class="invalid-feedback" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>

{{-- Data de Início e Fim da Revisão --}}
<div class="row justify-content-start mb-1 mt-2">
    <div class="col-sm-6">
        <label for="inicioRevisao" class="col-form-label">{{ __('Início da Revisão:') }}<span style="color:red; font-weight:bold;">*</span></label>
        <input id="inicioRevisao" type="date" class="form-control @error('inicioRevisao') is-invalid @enderror" name="inicioRevisao" value="{{ old('inicioRevisao', $evento->inicioRevisao) }}" required autocomplete="inicioRevisao">
        @error('inicioRevisao')
        <span class="invalid-feedback" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>

    <div class="col-sm-6">
        <label for="fimRevisao" class="col-form-label">{{ __('Fim da Revisão:') }}<span style="color:red; font-weight:bold;">*</span></label>
        <input id="fimRevisao" type="date" class="form-control @error('fimRevisao') is-invalid @enderror" name="fimRevisao" value="{{ old('fimRevisao', $evento->fimRevisao) }}" required autocomplete="fimRevisao">
        @error('fimRevisao')
        <span class="invalid-feedback" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>

{{-- Data de Resultado Preliminar --}}
<div class="row justify-content-start mb-1 mt-2">
    <div class="col-sm-6">
        <label for="resultado_preliminar" class="col-form-label">{{ __('Resultado Preliminar:') }}<span style="color:red; font-weight:bold;">*</span></label>
        <input id="resultado_preliminar" type="date" class="form-control @error('resultado_preliminar') is-invalid @enderror" name="resultado_preliminar" value="{{ old('resultado_preliminar', $evento->resultado_preliminar) }}" required autocomplete="resultado_preliminar">
        @error('resultado_preliminar')
        <span class="invalid-feedback" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>

    <div class="col-sm-6">
        <label for="inicio_recurso" class="col-form-label">{{ __('Início do Recurso:') }}<span style="color:red; font-weight:bold;">*</span></label>
        <input id="inicio_recurso" type="date" class="form-control @error('inicio_recurso') is-invalid @enderror" name="inicio_recurso" value="{{ old('inicio_recurso', $evento->inicio_recurso) }}" required autocomplete="inicio_recurso">
        @error('inicio_recurso')
        <span class="invalid-feedback" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>

{{-- Data de Fim do Recurso e Resultado Final --}}
<div class="row justify-content-start mb-1 mt-2">
    <div class="col-sm-6">
        <label for="fim_recurso" class="col-form-label">{{ __('Fim do Recurso:') }}<span style="color:red; font-weight:bold;">*</span></label>
        <input id="fim_recurso" type="date" class="form-control @error('fim_recurso') is-invalid @enderror" name="fim_recurso" value="{{ old('fim_recurso', $evento->fim_recurso) }}" required autocomplete="fim_recurso">
        @error('fim_recurso')
        <span class="invalid-feedback" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>

    <div class="col-sm-6">
        <label for="resultado_final" class="col-form-label">{{ __('Resultado Final:') }}<span style="color:red; font-weight:bold;">*</span></label>
        <input id="resultado_final" type="date" class="form-control @error('resultado_final') is-invalid @enderror" name="resultado_final" value="{{ old('resultado_final', $evento->resultado_final) }}" required autocomplete="resultado_final">
        @error('resultado_final')
        <span class="invalid-feedback" role="alert">
            <strong>{{ $message }}</strong>
        </span>
        @enderror
    </div>
</div>
@php
    $tipoAvaliacao = is_array($evento->tipoAvaliacao) ? $evento->tipoAvaliacao : explode(',', $evento->tipoAvaliacao);
@endphp
                <div class="row subtitulo">
                    <div class="col-sm-12">
                        <p>Tipo de Avaliação</p>
                    </div>
                </div>

                <div class="form-group">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" id="checkboxBarema" name="tipoAvaliacao[]" value="barema" 
                                {{ !empty($camposBarema) ? 'checked' : '' }}>
                                <label class="form-check-label" for="checkboxBarema">
                                    Avaliação por Barema
                                </label>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" id="checkboxCurriculo" name="tipoAvaliacao[]" value="curriculo"
                                {{ !empty($camposCurriculo) ? 'checked' : '' }}>
                                <label class="form-check-label" for="checkboxCurriculo">
                                    Avaliação por Currículo Lattes
                                </label>
                            </div>
                        </div>
                    </div>
                </div>

                <div id="baremaSection" style="display: none;">
                    <hr>
                    <div class="row subtitulo align-items-center">
                        <div class="col-12 col-sm-3">
                            <p class="mb-0">Avaliação - Barema</p>
                        </div>
                        <div class="col-12 col-sm-3">
                            <input type="text" name="pontuacao" class="form-control mt-2 mt-sm-0" id="pontuacao" value="{{ old('pontuacao', $evento->pontuacao) }}" readonly style="width: auto;" />
                        </div>
                    </div>
                    
                    <div class="row justify-content-center" id="displayCampos">
                        <table class="table table-bordered col-sm-12" id="dynamicAddRemove">
                            <thead>
                                <tr>
                                    <th>Nome</th>
                                    <th>Descrição</th>
                                    <th>Nota Máxima</th>
                                    <th>Prioridade</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($camposBarema as $index => $campo)
                                    <tr>
                                        <td><input type="text" name="inputFieldBarema[{{ $index }}][nome]" class="form-control nome" value="{{ old('inputFieldBarema.'.$index.'.nome', str_replace('-b', '', $campo->nome)) }}" /></td>
                                        <td><input type="text" name="inputFieldBarema[{{ $index }}][descricao]" class="form-control descricao" value="{{ old('inputFieldBarema.'.$index.'.descricao', $campo->descricao) }}" /></td>
                                        <td><input type="number" min="1" step="1" name="inputFieldBarema[{{ $index }}][nota_maxima]" class="form-control nota_maxima" value="{{ old('inputFieldBarema.'.$index.'.nota_maxima', $campo->nota_maxima) }}" /></td>
                                        <td><select name="inputFieldBarema[{{ $index }}][prioridade]" class="form-control prioridade">
                                                <option value="1" {{ old('inputFieldBarema.'.$index.'.prioridade', $campo->prioridade) == 1 ? 'selected' : '' }}>1</option>
                                                <!-- Outras opções -->
                                            </select>
                                        </td>
                                        <td>
                                            @if($loop->first && $loop->last)
                                                <button type="button" name="add" id="dynamic-ar-barema" class="btn btn-outline-primary">Adicionar</button>
                                            @else
                                                <button type="button" class="btn btn-outline-danger remove-input-field-barema">Remover</button>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <div class="col-sm-12" id="addBaremaButton">
                            @if(count($camposBarema) === 0)
                                <button type="button" name="add" id="dynamic-ar-barema" class="btn btn-outline-primary">Adicionar</button>
                            @endif
                        </div>
                    </div>
                </div>
                
                <div id="curriculoSection" style="display: none;">
                    <hr>
                    <div class="row subtitulo align-items-center">
                        <div class="col-12 col-sm-3">
                            <p class="mb-0">Avaliação - Currículo Lattes</p>
                        </div>
                        <div class="col-12 col-sm-3">
                            <input type="text" name="pontuacao_curriculo" class="form-control mt-2 mt-sm-0" id="pontuacao_curriculo" value="{{ old('pontuacao_curriculo', $evento->pontuacao_curriculo) }}" readonly style="width: auto;" />
                        </div>
                    </div>
                    
                    <div class="row justify-content-center" id="displayCamposCurriculo">
                        <table class="table table-bordered col-sm-12" id="dynamicAddRemoveCurriculo">
                            <thead>
                                <tr>
                                    <th>Nome</th>
                                    <th>Descrição</th>
                                    <th>Nota Máxima</th>
                                    <th>Prioridade</th>
                                    <th>Ação</th>
                                </tr>
                            </thead>
                            <tbody>
                                @foreach ($camposCurriculo as $index => $campo)
                                    <tr>
                                        <td><input type="text" name="inputFieldCurriculo[{{ $index }}][nome]" class="form-control nome" value="{{ old('inputFieldCurriculo.'.$index.'.nome', str_replace('-c', '', $campo->nome)) }}" /></td>
                                        <td><input type="text" name="inputFieldCurriculo[{{ $index }}][descricao]" class="form-control descricao" value="{{ old('inputFieldCurriculo.'.$index.'.descricao', $campo->descricao) }}" /></td>
                                        <td><input type="number" min="1" step="1" name="inputFieldCurriculo[{{ $index }}][nota_maxima]" class="form-control nota_maxima" value="{{ old('inputFieldCurriculo.'.$index.'.nota_maxima', $campo->nota_maxima) }}" /></td>
                                        <td><select name="inputFieldCurriculo[{{ $index }}][prioridade]" class="form-control prioridade">
                                                <option value="1" {{ old('inputFieldCurriculo.'.$index.'.prioridade', $campo->prioridade) == 1 ? 'selected' : '' }}>1</option>
                                            </select>
                                        </td>
                                        <td>
                                            @if($loop->first && $loop->last)
                                                <button type="button" name="add" id="dynamic-ar-curriculo" class="btn btn-outline-primary">Adicionar</button>
                                            @else
                                                <button type="button" class="btn btn-outline-danger remove-input-field-curriculo">Remover</button>
                                            @endif
                                        </td>
                                    </tr>
                                @endforeach
                            </tbody>
                        </table>
                        <div class="col-sm-12" id="addCurriculoButton">
                            @if(count($camposCurriculo) === 0)
                                <button type="button" name="add" id="dynamic-ar-curriculo" class="btn btn-outline-primary">Adicionar</button>
                            @endif
                        </div>
                    </div>
                </div>
                
                <hr>
                <div class="row subtitulo">
                    <div class="col-sm-12">
                        <p>Documentos</p>
                    </div>
                </div>
        
                {{-- Pdf Edital --}}
                <div class="row justify-content-center" style="margin-top:10px">
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="pdfEdital">Anexar edital:<span style="color:red; font-weight:bold;">*</span></label>
                            @if($evento->pdfEdital)
                            <a href="{{ route('baixar.edital', $evento->id) }}">Baixar edital atual</a>
                            @endif
                            <input type="file" accept=".pdf" class="form-control-file pdf @error('pdfEdital') is-invalid @enderror" name="pdfEdital" value="{{ old('pdfEdital') }}" id="pdfEdital">
                            <small>O arquivo selecionado deve ser no formato PDF de até 2mb.</small>
                            @error('pdfEdital')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                    </div>
        
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="modeloDocumento">Anexar modelo de proposta de trabalho:<span style="color:red; font-weight:bold;">*</span></label>
                            @if($evento->modeloDocumento)
                            <a href="{{ route('baixar.modelo', $evento->id) }}">Baixar modelo atual</a>
                            @endif
                            <input type="file" class="form-control-file @error('modeloDocumento') is-invalid @enderror" name="modeloDocumento" value="{{ old('modeloDocumento') }}" id="modeloDocumento">
                            <small>O arquivo selecionado deve ter até 2mb.</small>
                            @error('modeloDocumento')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                    </div>
                    
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="pdfRecurso">Anexar modelo do formulário de recurso:<span style="color:red; font-weight:bold;">*</span></label>
                            @if($evento->docRecurso)
                            <a href="{{ route('baixar.recurso', $evento->id) }}">Baixar formulário atual</a>
                            @endif
                            <input type="file" accept=".pdf" class="form-control-file pdf @error('pdfRecurso') is-invalid @enderror" name="pdfRecurso" value="{{ old('pdfRecurso') }}" id="pdfRecurso">
                            <small>O arquivo selecionado deve ser no formato PDF de até 2mb.</small>
                            @error('pdfRecurso')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                    </div>
        
                    <div class="col-sm-6">
                        <div class="form-group">
                            <label for="pdfRelatorio">Anexar modelo do relatório técnico/pedagógico:</label>
                            @if($evento->docRelatorio)
                            <a href="{{ route('baixar.relatorio', $evento->id) }}">Baixar relatório atual</a>
                            @endif
                            <input type="file" accept=".pdf" class="form-control-file pdf @error('pdfRelatorio') is-invalid @enderror" name="pdfRelatorio" value="{{ old('pdfRelatorio') }}" id="pdfRelatorio">
                            <small>O arquivo selecionado deve ser no formato PDF de até 2mb.</small>
                            @error('pdfRelatorio')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                    </div>
        
                    <div class="col-sm-12">
                        <div class="form-group">
                            <label for="pdfFormAvalRelatorio">Anexar formulário de avaliação do relatório:</label>
                            @if($evento->formAvaliacaoRelatorio)
                            <a href="{{ route('baixar.form_avaliacao', $evento->id) }}">Baixar formulário de avaliação atual</a>
                            @endif
                            <input type="file" accept=".pdf" class="form-control-file pdf @error('pdfFormAvalRelatorio') is-invalid @enderror" name="pdfFormAvalRelatorio" value="{{ old('pdfFormAvalRelatorio') }}" id="pdfFormAvalRelatorio">
                            <small>O arquivo selecionado deve ser no formato PDF de até 2mb.</small>
                            @error('pdfFormAvalRelatorio')
                            <span class="invalid-feedback" role="alert">
                                <strong>{{ $message }}</strong>
                            </span>
                            @enderror
                        </div>
                    </div>
                </div>
        
                <div class="row justify-content-center" style="margin: 20px 0 20px 0">
        
                    <div class="col-md-6" style="padding-left:0">
                        <a class="btn btn-secondary botao-form" href="{{ route('admin.editais') }}" style="width:100%">Cancelar</a>
                    </div>
                    <div class="col-md-6" style="padding-right:0">
                        <button type="submit" class="btn btn-primary botao-form" id="idButtonSubmitEvento" style="width:100%">
                            {{ __('Atualizar Edital') }}
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>


@endsection
@section('javascript')
<script type="text/javascript">
document.addEventListener('DOMContentLoaded', function() {
    initEventListeners();
    toggleOutraDescricao(); 
    showDocumentoExtra();

    if (document.getElementById('checkboxBarema').checked) {
        document.getElementById('baremaSection').style.display = 'block';
    }

    if (document.getElementById('checkboxCurriculo').checked) {
        document.getElementById('curriculoSection').style.display = 'block';
    }

    function addBaremaField() {
        let index = $('#dynamicAddRemove tr').length;
        let newRow = `
            <tr>
                <td><input type="text" name="inputFieldBarema[${index}][nome]" class="form-control nome" /></td>
                <td><input type="text" name="inputFieldBarema[${index}][descricao]" class="form-control descricao" /></td>
                <td><input type="number" min="1" step="1" name="inputFieldBarema[${index}][nota_maxima]" class="form-control nota_maxima" /></td>
                <td>
                    <select name="inputFieldBarema[${index}][prioridade]" class="form-control prioridade">
                    </select>
                </td>
                <td><button type="button" class="btn btn-outline-danger remove-input-field-barema">Remover</button></td>
            </tr>
        `;
        $('#dynamicAddRemove tbody').append(newRow);
        updatePriorityOptions(); // Atualiza as opções de prioridade
        updateBaremaButtons();
        updateTotalScore();
    }

    function addCurriculoField() {
        let index = $('#dynamicAddRemoveCurriculo tr').length;
        let newRow = `
            <tr>
                <td><input type="text" name="inputFieldCurriculo[${index}][nome]" class="form-control nome" /></td>
                <td><input type="text" name="inputFieldCurriculo[${index}][descricao]" class="form-control descricao" /></td>
                <td><input type="number" min="1" step="1" name="inputFieldCurriculo[${index}][nota_maxima]" class="form-control nota_maxima" /></td>
                <td>
                    <select name="inputFieldCurriculo[${index}][prioridade]" class="form-control prioridade">
                    </select>
                </td>
                <td><button type="button" class="btn btn-outline-danger remove-input-field-curriculo">Remover</button></td>
            </tr>
        `;
        $('#dynamicAddRemoveCurriculo tbody').append(newRow);
        updatePriorityOptions(); // Atualiza as opções de prioridade
        updateCurriculoButtons();
        updateTotalScore();
    }

    function updatePriorityOptions() {
        let numItemsBarema = $('#dynamicAddRemove tr').length;
        $('#dynamicAddRemove .prioridade').each(function() {
            let currentPriority = $(this).val();
            $(this).empty();
            for (let i = 1; i <= numItemsBarema; i++) {
                $(this).append(new Option(i, i, false, i == currentPriority));
            }
        });

        let numItemsCurriculo = $('#dynamicAddRemoveCurriculo tr').length;
        $('#dynamicAddRemoveCurriculo .prioridade').each(function() {
            let currentPriority = $(this).val();
            $(this).empty();
            for (let i = 1; i <= numItemsCurriculo; i++) {
                $(this).append(new Option(i, i, false, i == currentPriority));
            }
        });
    }

    function updateBaremaButtons() {
        let rows = $('#dynamicAddRemove tbody tr');
        rows.each(function(index) {
            if (index === 0) {
                $(this).find('td:last-child').html('<button type="button" id="dynamic-ar-barema" class="btn btn-outline-primary">Adicionar</button>');
            } else {
                $(this).find('td:last-child').html('<button type="button" class="btn btn-outline-danger remove-input-field-barema">Remover</button>');
            }
        });
        updatePriorityOptions();
    }

    function updateCurriculoButtons() {
        let rows = $('#dynamicAddRemoveCurriculo tbody tr');
        rows.each(function(index) {
            if (index === 0) {
                $(this).find('td:last-child').html('<button type="button" id="dynamic-ar-curriculo" class="btn btn-outline-primary">Adicionar</button>');
            } else {
                $(this).find('td:last-child').html('<button type="button" class="btn btn-outline-danger remove-input-field-curriculo">Remover</button>');
            }
        });
        updatePriorityOptions();
    }

    $(document).on('click', '#dynamic-ar-barema', function() {
        addBaremaField();
    });

    $(document).on('click', '.remove-input-field-barema', function () {
        $(this).parents('tr').remove();
        updateBaremaPriorities();
        updateBaremaButtons();
        updateTotalScore();
    });

    $(document).on('click', '#dynamic-ar-curriculo', function() {
        addCurriculoField();
    });

    $(document).on('click', '.remove-input-field-curriculo', function () {
        $(this).parents('tr').remove();
        updateCurriculoPriorities();
        updateCurriculoButtons();
        updateTotalScore();
    });

    // Função que calcula a pontuação total e atualiza o campo de pontuação
    function updateTotalScore() {
        let totalBarema = 0;
        $('#dynamicAddRemove .nota_maxima').each(function() {
            totalBarema += parseInt($(this).val()) || 0;
        });
        $('#pontuacao').val(totalBarema);

        let totalCurriculo = 0;
        $('#dynamicAddRemoveCurriculo .nota_maxima').each(function() {
            totalCurriculo += parseInt($(this).val()) || 0;
        });
        $('#pontuacao_curriculo').val(totalCurriculo);
    }

    // Função para inicializar todos os listeners e eventos
    function initEventListeners() {
        document.getElementById('checkboxBarema').addEventListener('change', toggleBaremaSection);
        document.getElementById('checkboxCurriculo').addEventListener('change', toggleCurriculoSection);
        document.getElementById('tipo').addEventListener('change', toggleOutraDescricao);
        document.querySelector('form').addEventListener('submit', submitFormHandler);
        document.getElementById('check_docExtra').addEventListener('change', showDocumentoExtra);
        document.querySelectorAll("input[type='file']").forEach(input => {
            input.addEventListener('change', handleFileChange);
        });
        document.getElementById('dynamicAddRemove').addEventListener('input', function(event) {
            if (event.target.classList.contains('nota_maxima')) {
                updateTotalScore();
            }
        });
        document.getElementById('dynamicAddRemoveCurriculo').addEventListener('input', function(event) {
            if (event.target.classList.contains('nota_maxima')) {
                updateTotalScore();
            }
        });
    }

    function toggleBaremaSection() {
        const baremaSection = document.getElementById('baremaSection');
        baremaSection.style.display = this.checked ? 'block' : 'none';
        updateTotalScore(); // Atualiza a pontuação ao mostrar/esconder a seção
    }

    function toggleCurriculoSection() {
        const curriculoSection = document.getElementById('curriculoSection');
        curriculoSection.style.display = this.checked ? 'block' : 'none';
        updateTotalScore(); // Atualiza a pontuação ao mostrar/esconder a seção
    }

    function toggleOutraDescricao() {
        const tipoSelect = document.getElementById('tipo');
        const outraDescricaoDiv = document.getElementById('outra_descricao_div');
        const outraDescricaoInput = document.getElementById('outra_descricao');

        if (tipoSelect.value === 'OUTRA') {
            tipoSelect.style.flex = '0.5';
            outraDescricaoDiv.style.display = 'block';
            outraDescricaoInput.disabled = false;
        } else {
            tipoSelect.style.flex = '1';
            outraDescricaoDiv.style.display = 'none';
            outraDescricaoInput.disabled = true;
            outraDescricaoInput.value = ""; 
        }
    }

    function submitFormHandler(event) {
        const tipoSelect = document.getElementById('tipo');
        const outraDescricaoInput = document.getElementById('outra_descricao');

        if (tipoSelect.value === 'OUTRA' && outraDescricaoInput.value.trim() !== "") {
            tipoSelect.value = outraDescricaoInput.value.trim();
        } else {
            outraDescricaoInput.disabled = true;
        }
    }

    function showDocumentoExtra() {
        const nomeDocExtra = document.getElementById('nome_docExtra');
        const obrigatoriedadeDocExtra = document.getElementById('obrigatoriedade_docExtra');
        const isChecked = document.getElementById("check_docExtra").checked;

        nomeDocExtra.parentElement.style.display = isChecked ? '' : 'none';
        obrigatoriedadeDocExtra.parentElement.style.display = isChecked ? '' : 'none';
    }

    function handleFileChange(event) {
        const file = event.target;

        if (file.files[0].size > 2000000) {
            alert("O tamanho do arquivo deve ser menor que 2MB!");
            file.value = '';
        } else if (file.files[0].type !== "application/pdf") {
            alert("O arquivo deve ser do tipo PDF!");
            file.value = '';
        }
    }

    function validateNotas() {
        let total = 0;
        document.querySelectorAll('.nota_maxima').forEach(input => {
            total += parseInt(input.value) || 0;
        });
        const pontuacao = parseInt(document.getElementById('pontuacao').value) || 0;
        document.getElementById('nota_maxima_invalida').style.display = total !== pontuacao ? 'block' : 'none';
    }

    function validateNotasCurriculo() {
        let total = 0;
        document.querySelectorAll('.nota_maxima').forEach(input => {
            total += parseInt(input.value) || 0;
        });
        const pontuacao = parseInt(document.getElementById('pontuacao_curriculo').value) || 0;
        document.getElementById('nota_maxima_invalida_curriculo').style.display = total !== pontuacao ? 'block' : 'none';
    }

    window.defCoord = function(data, data2) {
        document.getElementById('coordenador_id').value = data;
        document.getElementById('coordenador_name').value = data2;
        $("#modalCoord").modal('hide');
    }

    updateTotalScore();  // Calcular a pontuação inicial
    updateBaremaButtons(); // Atualizar botões de Barema
    updateCurriculoButtons(); // Atualizar botões de Currículo Lattes
});
</script>
@endsection

